devel/js_of_ocaml - The NetBSD Packages Collection

Compiler of OCaml bytecode to Javascript

Js_of_ocaml is a compiler of OCaml bytecode to Javascript. It makes it possible
to run OCaml programs in a Web browser.

Build dependencies

devel/ocamlbuild misc/ocaml-opaline pkgtools/cwrappers devel/ocamlbuild misc/ocaml-opaline shells/bash

Runtime dependencies

textproc/ocaml-tyxml devel/ocaml-reactiveData devel/menhir devel/ocaml-cppo devel/ocaml-dune-configurator devel/ocaml-dune devel/ocaml-lwt devel/ocaml-lwt_log devel/ocaml-migrate-parsetree devel/ocaml-ppx_deriving devel/ocaml-ppx_tools_versioned devel/ocaml-ppxlib textproc/ocaml-uchar devel/ocaml-findlib lang/ocaml textproc/ocaml-tyxml devel/ocaml-reactiveData devel/menhir devel/ocaml-cppo devel/ocaml-dune devel/ocaml-lwt devel/ocaml-lwt_log devel/ocaml-migrate-parsetree devel/ocaml-ppx_deriving devel/ocaml-ppx_tools_versioned devel/ocaml-ppxlib textproc/ocaml-uchar devel/ocaml-findlib

Binary packages

OSArchitectureVersion
NetBSD 8.0i386js_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0i386js_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 8.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0aarch64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0aarch64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0aarch64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv6hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv6hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv6hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv7hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv7hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv7hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0earmv7hfjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0i386js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0i386js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0i386js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0powerpcjs_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0x86_64js_of_ocaml-3.8.0nb1.tgz
NetBSD 9.0x86_64js_of_ocaml-3.8.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

ocaml-tyxml
Enable OCaml-tyxml support

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.